{
	"0: data": {
		"srcIndexStart": "0", 
		"file": "docssrc/docs.SampleApps.SampleGenericParse.tmpl", 
		"parseTreeMode": "true", 
		"srcLength": "1575", 
		"source": "[$name|SampleGenericParse$]
[$title|Sample Generic Parse$]
[$frame|HTMLPage.tmpl$]
[$desc|Parse any source file according to any grammar (in CGT form) and view basic information.$]

<p>
Parses any source file according to any compiled grammar and displays basic
information about both the language and the parsed source.
</p>

<p>
Try using the included
[$link|https://bitbucket.org/Abscissa/goldie/src/v0.8/lang/calc.cgt|lang/calc.cgt$]
language on the included *.calc files.
Or use your own grammar and source.
</p>

<p>
[$link|https://bitbucket.org/Abscissa/goldie/src/v0.8/src/samples/sampleGenericParse/main.d|Sample Generic Parse Source Code$]
</p>

<h3>Sample run:</h3>

<div class=\"code-plain\">&gt;[$code|user|cat lang/valid_sample2.calc$]
4*4*3
 /4
- ( 10 + 0 )
* -100
&gt;[$code|user|goldie-sampleGenericParse lang/valid_sample2.calc lang/calc.cgt$]
Grammar Info:
File:    lang/calc.cgt
Name:    Calc
Version: 0.01
Author:  Nick Sabalausky
About:   Basic Calculator Grammar

Root of parse tree:
  type: NonTerminal
  name: &lt;Add Exp&gt;

First terminal in parse tree:
  type: Terminal
  name: Number
  content: '4'
  line: 1

Last terminal in parse tree:
  type: Terminal
  name: Number
  content: '100'
  line: 4

Root of parse tree has 3 child node(s):
  Node index 0 is a NonTerminal '&lt;Add Exp&gt;' with 1 child node(s)
    and content '4*4*3/4'
    and raw content:
4*4*3
 /4
  Node index 1 is a Terminal '-'
  Node index 2 is a NonTerminal '&lt;Mult Exp&gt;' with 3 child node(s)
    and content '(10+0)*-100'
    and raw content:
( 10 + 0 )
* -100</div>
", 
		"0: name": {
			"srcIndexStart": "0", 
			"data": "SampleGenericParse", 
			"srcLength": "27", 
			"0: data": {
				"srcIndexStart": "7", 
				"data": "SampleGenericParse", 
				"srcLength": "18"
			}
		}, 
		"1: data": {
			"srcIndexStart": "27", 
			"data": "
", 
			"srcLength": "1"
		}, 
		"2: title": {
			"srcIndexStart": "28", 
			"data": "Sample Generic Parse", 
			"srcLength": "30", 
			"0: data": {
				"srcIndexStart": "36", 
				"data": "Sample Generic Parse", 
				"srcLength": "20"
			}
		}, 
		"3: data": {
			"srcIndexStart": "58", 
			"data": "
", 
			"srcLength": "1"
		}, 
		"4: frame": {
			"srcIndexStart": "59", 
			"data": "HTMLPage.tmpl", 
			"srcLength": "23", 
			"0: data": {
				"srcIndexStart": "67", 
				"data": "HTMLPage.tmpl", 
				"srcLength": "13"
			}
		}, 
		"5: data": {
			"srcIndexStart": "82", 
			"data": "
", 
			"srcLength": "1"
		}, 
		"6: desc": {
			"srcIndexStart": "83", 
			"data": "Parse any source file according to any grammar (in CGT form) and view basic information.", 
			"srcLength": "97", 
			"0: data": {
				"srcIndexStart": "90", 
				"data": "Parse any source file according to any grammar (in CGT form) and view basic information.", 
				"srcLength": "88"
			}
		}, 
		"7: data": {
			"srcIndexStart": "180", 
			"data": "

<p>
Parses any source file according to any compiled grammar and displays basic
information about both the language and the parsed source.
</p>

<p>
Try using the included
", 
			"srcLength": "174"
		}, 
		"8: link": {
			"srcIndexStart": "354", 
			"param 0": "https://bitbucket.org/Abscissa/goldie/src/v0.8/lang/calc.cgt", 
			"data": "lang/calc.cgt", 
			"srcLength": "83", 
			"0: data": {
				"srcIndexStart": "422", 
				"data": "lang/calc.cgt", 
				"srcLength": "13"
			}
		}, 
		"9: data": {
			"srcIndexStart": "437", 
			"data": "
language on the included *.calc files.
Or use your own grammar and source.
</p>

<p>
", 
			"srcLength": "86"
		}, 
		"10: link": {
			"srcIndexStart": "523", 
			"param 0": "https://bitbucket.org/Abscissa/goldie/src/v0.8/src/samples/sampleGenericParse/main.d", 
			"data": "Sample Generic Parse Source Code", 
			"srcLength": "126", 
			"0: data": {
				"srcIndexStart": "615", 
				"data": "Sample Generic Parse Source Code", 
				"srcLength": "32"
			}
		}, 
		"11: data": {
			"srcIndexStart": "649", 
			"data": "
</p>

<h3>Sample run:</h3>

<div class=\"code-plain\">&gt;", 
			"srcLength": "57"
		}, 
		"12: code": {
			"srcIndexStart": "706", 
			"param 0": "user", 
			"data": "cat lang/valid_sample2.calc", 
			"srcLength": "41", 
			"0: data": {
				"srcIndexStart": "718", 
				"data": "cat lang/valid_sample2.calc", 
				"srcLength": "27"
			}
		}, 
		"13: data": {
			"srcIndexStart": "747", 
			"data": "
4*4*3
 /4
- ( 10 + 0 )
* -100
&gt;", 
			"srcLength": "35"
		}, 
		"14: code": {
			"srcIndexStart": "782", 
			"param 0": "user", 
			"data": "goldie-sampleGenericParse lang/valid_sample2.calc lang/calc.cgt", 
			"srcLength": "77", 
			"0: data": {
				"srcIndexStart": "794", 
				"data": "goldie-sampleGenericParse lang/valid_sample2.calc lang/calc.cgt", 
				"srcLength": "63"
			}
		}, 
		"15: data": {
			"srcIndexStart": "859", 
			"data": "
Grammar Info:
File:    lang/calc.cgt
Name:    Calc
Version: 0.01
Author:  Nick Sabalausky
About:   Basic Calculator Grammar

Root of parse tree:
  type: NonTerminal
  name: &lt;Add Exp&gt;

First terminal in parse tree:
  type: Terminal
  name: Number
  content: '4'
  line: 1

Last terminal in parse tree:
  type: Terminal
  name: Number
  content: '100'
  line: 4

Root of parse tree has 3 child node(s):
  Node index 0 is a NonTerminal '&lt;Add Exp&gt;' with 1 child node(s)
    and content '4*4*3/4'
    and raw content:
4*4*3
 /4
  Node index 1 is a Terminal '-'
  Node index 2 is a NonTerminal '&lt;Mult Exp&gt;' with 3 child node(s)
    and content '(10+0)*-100'
    and raw content:
( 10 + 0 )
* -100</div>", 
			"srcLength": "716"
		}
	}
}